// JavaScript Document
window.onload=testerNavigateur;
//-----------------------------
function testerNavigateur() {   
	objetXHR = creationXHR();
	if(objetXHR==null) {
		document.getElementById("button").disabled= true;
		var erreurNavigateur="Erreur Navigateur : Création d'objet XHR impossible";
		remplacerContenu("info", erreurNavigateur);
	    document.getElementById("info").style.visibility="visible";
		
	}
}
//---------------------------------------
function jouer() {   
	 /*-----------------------------Config et envoi de la requete ASYNCHRONE : */
	 //verif si nom et prenom du joueur est bien saisi
	 document.getElementById("nom").style.backgroundColor="white";
	 var nom=document.getElementById("nom").value;
	 if(nom==""){
		 //-------------change la couleur du champ
	   document.getElementById("nom").style.backgroundColor="red";
	   //-----------affiche message Alert
	   alert("Attention : vous devez saisir votre nom avant de jouer");
	   return null;
	 }
	 document.getElementById("prenom").style.backgroundColor="white";
	 var prenom=document.getElementById("prenom").value;
	 if(prenom==""){
		 //-------------change la couleur du champ
	   document.getElementById("prenom").style.backgroundColor="red";
	   //-----------affiche message Alert
	   alert("Attention : vous devez saisir votre prenom avant de jouer");
	   return null;
	 }
	 //création d'un objet XHR multi-navigateurs
	 objetXHR = creationXHR();
	 //construction de la chaine des parametres en XML
	 var parametresXml = 
    	"<joueur>" +
			"<nom>" + codeContenu("nom") + "</nom>" +
    		"<prenom>" + codeContenu("prenom") + "</prenom>" +
		"</joueur>";	 
	 //Config. objet XHR
     objetXHR.open("post","gainAleatoire.php", true); 
	 objetXHR.onreadystatechange = actualiserPage;//désignation de la fonction de rappel
	 objetXHR.setRequestHeader("Content-Type", "text/xml");
	 //gestion du bouton et du chargeur
	 document.getElementById("button").disabled= true;
	 document.getElementById("charge").style.visibility="visible";
     objetXHR.send(parametresXml);//envoi de la requete
	 
	 /*---------------------------------------- */
  }
  function actualiserPage() {
	if (objetXHR.readyState == 4) {//test si le résultat est disponible
	 if (objetXHR.status == 200) {
	   var nouveauResultat = objetXHR.responseText.split(":");//recup du résulat > tableau 
	   //actualisation du résultat
	   remplacerContenu("resultat", decodeURI(nouveauResultat[1]));
	   //actualisation du nom
	   remplacerContenu("gagnant", decodeURI(nouveauResultat[0]));
	   //affiche la zone info
	   document.getElementById("info").style.visibility="visible";
	   //gestion du bouton et du chargeur
	   document.getElementById("button").disabled= false;
	   document.getElementById("charge").style.visibility="hidden";
	 }else{
	   //message d'erreur serveur
	   var erreurServeur="Erreur serveur : "+objetXHR.status+" – "+ objetXHR.statusText;
	   remplacerContenu("info", erreurServeur);
	   document.getElementById("info").style.visibility="visible";
	   //gestion du bouton et du chargeur
	   document.getElementById("button").disabled= false;
	   document.getElementById("charge").style.visibility="hidden";
	   //annule la requete en cours
	   objetXHR.abort();
	   objetXHR=null;
	   }
	 }
  }
